/* ===== Navbar Base Styles ===== */
.custom-navbar {
    padding: 0.5rem 1rem;
    width: 100%;
}



#theme-dropdown-menu .btn-primary {
    background-color: var(--secondary) !important;
    color: var(--text-main) !important;
    padding-left:0px;
    padding-right:0px;
}

.dropdown-item:hover {
    background-color: hsl(from var(--secondary) h s calc(l - 5));
    color: var(--text-main) !important;
}

.dropdown-item:active {
    background-color: hsl(from var(--secondary) h s calc(l - 5));
    color: var(--text-main) !important;
}

.dropdown-item:focus {
    background-color: hsl(from var(--secondary) h s calc(l - 5));
    color: var(--text-main) !important;
}

#theme-dropdown-menu .dropdown-menu.show{
    background-color: var(--secondary);
    z-index: 9999!important;
    left:-10px;
}



.navbar-title {
    font-size: var(--font-size-heading-main);
}

a {
    color:transparent
}

@media screen and (max-width:450px) {
    .navbar-title{
        font-size:var(--font-size-body)
    }
}

.custom-navbar-collapse {
    justify-content: end;
}

.nav-bar-main {
    align-items: center;
}

@media screen and (max-width: 768px) {
    .nav-bar-main {
        align-items: start;
    }
}

.dropdown-menu.show {
    border-radius: 5px;
    border:none;
    background-color: var(--secondary);
    z-index: 9999!important;


}

a.dropdown-item:hover{
    background-color: hsl(from var(--secondary) h s calc(l - 5));
    color: var(--text-main) !important;
}


/* Ensure fluid container (stretches full width) */
.custom-navbar .container-fluid {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.custom-navbar {
    background-color: var(--secondary) !important;
}

.custom-navbar .navbar-brand {
    color: var(--text-main) !important;
}

.dropdown-item {
    color: var(--text-main)
}

/* ✅ Light mode fix for collapsed menu */
.custom-navbar-collapse {
    background-color: var(--secondary) !important;
}

.custom-navbar-collapse .nav-link {
    color: var(--text-main) !important;
}

/* Making color of burger white */
.custom-toggler-icon .navbar-toggler-icon {
    filter: invert(100%) brightness(100%) contrast(100%) !important;

}



/* ===== Logo Styling ===== */
.navbar-logo {
    margin-right: 20px;
}



/* ===== Optional Loader Placeholder ===== */
.loader-placeholder {
    background-color: transparent;
    width: 10px;
    height: 1px;
}

/* At screen size when nav collapses justify left */
@media screen and (max-width:768px) {
    .custom-navbar-collapse {
        justify-items:flex-start;
    }
}


/* Nav toggler */

.navbar-toggler {
    padding:5px 10px 5px 10px;
    border-radius:5px;
    border:none;
    margin-top: 5px;
    margin-bottom:5px;
}

.navbar-toggler:hover,
.navbar-toggler:focus {
    border:none
}